Create an on-call schedule.
POST
/on_call_schedule/
const url = 'https://api.siteqwality.com/on_call_schedule/';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","timezone":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.siteqwality.com/on_call_schedule/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "timezone": "example" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
name
required
string
timezone
string | null
Example generated
{ "name": "example", "timezone": "example"}Responses
Section titled “ Responses ”On-call schedule created
Media type application/json
object
id
required
string format: uuid
name
required
string
timezone
required
string
created_at
required
string format: date-time
layers
array | null
object
id
required
string format: uuid
schedule_id
required
string format: uuid
layer_number
required
integer format: int32
rotation_type
required
string
rotation_interval_days
integer | null format: int32
handoff_time
required
string
handoff_day
integer | null format: int32
participants
required
Array<string>
effective_from
string | null format: date-time
effective_until
string | null format: date-time
created_at
required
string format: date-time
overrides
array | null
object
id
required
string format: uuid
schedule_id
required
string format: uuid
user_id
required
string format: uuid
start_at
required
string format: date-time
end_at
required
string format: date-time
created_at
required
string format: date-time
Example
{ "layers": [ { "rotation_type": "daily" } ]}Invalid request body
Missing or invalid authentication
Internal server error